import request from '@/utils/httpRequest'
// import { ASSESS_PATH as prefix } from "../AppPath";
import { FINANCE_PATH as prefix } from "../AppPath";

export default class ProgramServiceTypeService {
  list (params) {
    return request({
      url: prefix + '/program/service_type/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: prefix + '/program/service_type/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: prefix + `/program/service_type/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: prefix + '/program/service_type/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  getList () {
    return request({
      url: prefix + '/program/service_type/getList',
      method: 'get',
      params: {}
    })
  }
}
